Bug 179874 - Adding an observer for the frysk app hangs the application
Summary: Adding an observer for the frysk app hangs the application
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: frysk   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Phil Muldoon
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-03 15:58 UTC by Jeff Moyer
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: 4.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 15:48:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2285 None None None Never

Description Jeff Moyer 2006-02-03 15:58:35 UTC
Description of problem:

Of course you shouldn't do this, but if you try to add an observer to frysk, it
hangs.  I get this on the terminal:

click : frysk.gui.monitor.ProcData@4e0f110
Exception in thread "Thread-2" ptrace.attach: Operation not permitted (process 6707)
   at java.lang.Exception.Exception() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.RuntimeException.RuntimeException() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Thread.run() (/usr/lib/libgcj.so.6.0.0)


Version-Release number of selected component (if applicable):

frysk-0.0.1.2005.12.14.15.12-0.EL4.3

How reproducible:
100%

Steps to Reproduce:
1.  Install frsyk
2.  as a user, sudo frysk
3.  add any observer for the frysk process
  
Actual results:
frysk hangs

Expected results:
the observer is not added, but the app continues to run (maybe displays a warning?)

Additional info:

Comment 1 Andrew Cagney 2006-02-06 20:42:44 UTC
upstream bug

Comment 2 Andrew Cagney 2006-11-30 15:37:15 UTC
Upstream bug: http://sourceware.org/bugzilla/show_bug.cgi?id=2285

Comment 3 Andrew Cagney 2006-11-30 15:40:53 UTC
Fixed in RHEL4-U3's update and upstream, no longer allowed to attach to such
processes.

Comment 4 Andrew Cagney 2006-11-30 15:47:03 UTC
wrong curent release


Note You need to log in before you can comment on or make changes to this bug.